GST APIEnvironment:
Default OTP575757
API Reference
Overview
Public
Authentication
GSTR
GSTR1
GSTR1A
Get GSTR1A SummaryGET
Get GSTR1A Document IssuedGET
Get CDNRA InvoicesGET
Get B2CL InvoicesGET
Get B2BA InvoicesGET
Get ATAGET
Get TXPGET
Get Supplier ECO invoicesGET
Get Supplier ECOA invoicesGET
Get ECOM InvoicesGET
Get ECOMA InvoicesGET
Save GSTR1A dataPUT
Get B2B InvoicesGET
Get B2CLA InvoicesGET
Get B2CSA InvoicesGET
Get CDNR InvoicesGET
Get ATGET
Get EXPAGET
Get B2CS InvoicesGET
Get EXPGET
Get Nil Rated SuppliesGET
Get HSN Summary detailsGET
API call for getting all Credit/ Debit Notes issued to un-registered persons for a return period.GET
API call for getting all amended Credit/ Debit Notes issued to un-registered persons for a return period.GET
Reset GSTR1A DataPOST
File GSTR1A dataPOST
File GSTR1A dataPOST
Proceed To FileGET
Get TXPAGET
Get Declaration DetailsGET
Confirm Declaration DetailsPOST
GSTR2A
GSTR2B
GSTR2X
GSTR3B
GSTR4
GSTR4A
GSTR4Annual
GSTR5
GSTR6
GSTR6A
GSTR7
GSTR8
GSTR9
GSTR9A
GSTR9C
SPIKE
ALL
IMS
ITC03
ITC04
CMP
Payment
Ledger
e-Invoice
Notices

File GSTR-1A Amendments with DSC

POSThttps://apisandbox.whitebooks.in/gstr1a/retfile

Used to file entire GSTR1A invoices.

Parameters

query parameters
emailstringrequired
API Developer User Email
panstringrequired
PAN Number
header parameters
gstinstringrequired
GST Number
ret_periodstringrequired
Return Period (MMYYYY)
gst_usernamestringrequired
GST UserName
state_cdstringrequired
State Code
ip_addressstringrequired
IP Address
txnstringrequired
Transaction
client_idstringrequired
Client ID
client_secretstringrequired
Client Secret

Request Body

application/jsonrequired
gstinstringoptional
GSTIN of the Taxpayer
Example: "05AVHPB7348G1ZP"
ret_periodstringoptional
Return period
Example: "042024"
chksumstringoptional
Invoice Check sum value
Example: "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d"
newSumFlagbooleanoptional
Is the summary in new or old format
Example: true
sec_sumarray<object>optional
Array items:
sec_nmstringoptional
Return Section
Example: "CDNRA"
chksumstringoptional
Invoice Check sum value
Example: "da88731791fdf49c66735228563c4bc798f0af67ba0d1a7089c94762e9f724a6"
ttl_recintegeroptional
total number of Records
Example: 8
ttl_valnumberoptional
total records value
Example: 122222153821.52
ttl_igstnumberoptional
total IGST amount
Example: -0.86
ttl_sgstnumberoptional
total SGST amount
Example: 11111111036.02
ttl_cgstnumberoptional
total CGST amount
Example: 11111111036.02
ttl_cessnumberoptional
total cess amount
Example: 55555510860.78
ttl_taxnumberoptional
total taxable value of records
Example: -74530
act_taxnumberoptional
actual taxable value of records
Example: -196528
act_igstnumberoptional
actual IGST amount
Example: -13371.73
act_sgstnumberoptional
actual SGST amount
Example: -37044.2
act_cgstnumberoptional
actual CGST amount
Example: -37044.2
act_valnumberoptional
actual records value
Example: -108419
act_cessnumberoptional
actual cess amount
Example: -71148
sub_sectionsarray<object>optional
Array items:
sec_nmstringoptional
Return Section
Example: "CDNRA_4A"
chksumstringoptional
Invoice Check sum value
Example: "568b1d868a64fb0f22079968624ccf6b46e93579b092c2390ded564015099ede"
ttl_recintegeroptional
total number of Records
Example: 2
ttl_valnumberoptional
total records value
Example: -111111
ttl_igstnumberoptional
total IGST amount
Example: 5740.73
ttl_sgstnumberoptional
total SGST amount
Example: -212.93
ttl_cgstnumberoptional
total CGST amount
Example: -212.93
ttl_cessnumberoptional
total cess amount
Example: -51111
ttl_taxnumberoptional
total taxable value of records
Example: 70865
act_taxnumberoptional
actual taxable value of records
Example: 12340
act_igstnumberoptional
actual IGST amount
Example: 2340
act_sgstnumberoptional
actual SGST amount
Example: 340
act_cgstnumberoptional
actual CGST amount
Example: 234230
act_valnumberoptional
actual records value
Example: 343430
act_cessnumberoptional
actual cess amount
Example: 355550

Response

Not Found. If requested entity is not found or if requested API is not found.

Frequently Asked Questions

Requests are submitted via HTTP POST to /gstr1a/retfile. Required parameters: email (query parameter), pan (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.
For File GSTR1A data (POST /gstr1a/retfile), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).
Used to file entire GSTR1A invoices.
POST/gstr1a/retfile
1const response = await fetch('https://apisandbox.whitebooks.in/gstr1a/retfile?email=value&pan=value', {
2 method: 'POST',
3 headers: {
4 gstin: "value",
5 ret_period: "value",
6 gst_username: "value",
7 state_cd: "value",
8 ip_address: "value",
9 txn: "value",
10 client_id: "value",
11 client_secret: "value",
12 Content-Type: "application/json"
13},
14 body: JSON.stringify({
15 "gstin": "05AVHPB7348G1ZP",
16 "ret_period": "042024",
17 "chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
18 "newSumFlag": true,
19 "sec_sum": [
20 {
21 "sec_nm": "CDNRA",
22 "chksum": "da88731791fdf49c66735228563c4bc798f0af67ba0d1a7089c94762e9f724a6",
23 "ttl_rec": 8,
24 "ttl_val": 122222153821.52,
25 "ttl_igst": -0.86,
26 "ttl_sgst": 11111111036.02,
27 "ttl_cgst": 11111111036.02,
28 "ttl_cess": 55555510860.78,
29 "ttl_tax": -74530,
30 "act_tax": -196528,
31 "act_igst": -13371.73,
32 "act_sgst": -37044.2,
33 "act_cgst": -37044.2,
34 "act_val": -108419,
35 "act_cess": -71148,
36 "sub_sections": [
37 {
38 "sec_nm": "CDNRA_4A",
39 "chksum": "568b1d868a64fb0f22079968624ccf6b46e93579b092c2390ded564015099ede",
40 "ttl_rec": 2,
41 "ttl_val": -111111,
42 "ttl_igst": 5740.73,
43 "ttl_sgst": -212.93,
44 "ttl_cgst": -212.93,
45 "ttl_cess": -51111,
46 "ttl_tax": 70865,
47 "act_tax": 12340,
48 "act_igst": 2340,
49 "act_sgst": 340,
50 "act_cgst": 234230,
51 "act_val": 343430,
52 "act_cess": 355550
53 }
54 ]
55 }
56 ]
57}),
58});
59
60const data = await response.json();
61console.log(data);
No example available.